//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: gmsws.js
// Created: 2022-11-27
// Updates: 2022-11-27
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var openwindow;
//-------------------------------------------------------//
window.onload = function(){
	const d = new Date();
	let text = d.toLocaleString();
	document.getElementById("fecha").innerHTML = "GENERADO EL :"+text;
	resizeTo(450,400);
};
//-------------------------------------------------------//
//LEVEL 1
function GenerarMoraTotal() {
    var dr      = "";
    document.getElementById("generate").disabled = true;
    if(document.form.borrar.checked){dr="YES";}else{dr="NO";}
    var clase   = document.form.c3_tipo_generador_id.options[document.form.c3_tipo_generador_id.selectedIndex].text.toLowerCase();
    var dim     = days_in_month(document.form.year.value, (document.form.month.value*1)-1);
    var dt      = document.form.year.value+"-"+document.form.month.value+"-"+dim;
    if (!openwindow || openwindow.closed){
            win ="window.open('../bin/gmswsp_agua.pl?clase="+clase+"&dt_vencimiento="+dt+"&dr="+dr+"','GENERAR_MORA_TOTAL','left=10,top=10,width=1150,height=600,scrollbars=yes,toolbar=no,menu=no,resizable=yes')";
            //alert(win);
            openwindow= eval(win);
    }else{openwindow.focus();}
    setTimeout("window.close()",500);
}
function days_in_month (y, m) {
     return 32 - new Date(y, m, 32).getDate();
}